Print

Desktop Call Manager R2 Support

Note this software requires that the PBX be running 3.1-2437 or newer to function.

New Release Available as Click Once Application (2.0.0.5)

Click Once Installer (Note you may need to be running Internet Explorer to Run this)

Release Notes

 

Desktop Call Manager requires a minimum of Microsoft .NET Framework 3.5

Microsoft .NET Installation Help

Documentation

Google Chat Configuration Guide (pdf)

 

Previous Release

Old Installer Release: 2.0.0.2